# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询客户对应返利规则验证,2271,2271-32,sit,bs
主数据平台:后台运营系统查询客户对应返利规则接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利规则列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url28_1")
request_body = commonFuc().get_business_data(module, "payload28_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成一个随机数字，用于后续随机选择某一条客户发放返利信息
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取返利规则信息
rebate_id = result["data"]["list"][rebate_random]["rebateid"]

# 第三步获取返利规则详情信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url23")
request_body = commonFuc().get_business_data(module, "payload23", rebate_id)


"""
 场景: 查询客户对应返利规则验证
 用例名称：查询客户对应返利规则验证
 输出：{"customercode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取结果中返利规则id
result = {"rebateid": result["data"]["rebateid"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict23", rebate_id)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

